## org.freedesktop.DBus.Introspectable Interface org.freedesktop.DBus.Introspectable Interface — Introspection interface |

## Methods

    Introspect (OUT String  xml_data)

## Description

Introspection support.

## Method Details

### Introspect ()

    Introspect (OUT String  xml_data)

Object instances may implement this method which returns an XML description of the object, including its interfaces (with signals, methods and properties) and objects below it in the object path tree. See the D-Bus specification for the exact format of D-Bus Introspection XML.

`OUT String `xml_data``: | Valid D-Bus Introspection XML.